<?php
/**
 * Waste Management Firm: Block Patterns
 *
 * @since Waste Management Firm 1.0
 */

/**
 * Registers block patterns and categories.
 *
 * @since Waste Management Firm 1.0
 *
 * @return void
 */
function waste_management_firm_register_block_patterns() {
	$waste_management_firm_block_pattern_categories = array(
		'waste-management-firm'    => array( 'label' => __( 'Waste Management Firm', 'waste-management-firm' ) ),
	);

	$waste_management_firm_block_pattern_categories = apply_filters( 'waste_management_firm_block_pattern_categories', $waste_management_firm_block_pattern_categories );

	foreach ( $waste_management_firm_block_pattern_categories as $name => $properties ) {
		if ( ! WP_Block_Pattern_Categories_Registry::get_instance()->is_registered( $name ) ) {
			register_block_pattern_category( $name, $properties );
		}
	}
}
add_action( 'init', 'waste_management_firm_register_block_patterns', 9 );
